package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.MdPackages;
import com.qsoft.rs.sincoar.dto.MdPackagesDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface MdPackagesMapper {

    MdPackagesMapper INSTANCE = Mappers.getMapper(MdPackagesMapper.class);
    @Mapping(source = "schemaIdFk", target = "schemaIdFk.id")
    MdPackages getEntidad(MdPackagesDTO mdPackages);
    
    @Mapping(target = "schemaIdFk", source = "schemaIdFk.id")
    MdPackagesDTO getDto(MdPackages mdPackages);

}